
<html>
 <head>
  <title>Running the Program</title>
 </head>
 <body>
  <div><a href="./index.html">back to doc index</a></div>
  <p>This is basically the contents of the INSTALL
  file in the topmost directory.</p> 
<pre>
- Required Libraries -
<a href="http://www.cliki.net/hunchentoot">Hunchentoot</a>
<a href="http://www.cliki.net/CL-WHO">CL-WHO</a>
<a href="http://www.cliki.net/Parenscript">ParenScript</a>

- Tested Lisps -
SBCL, others *should* work though.

- Steps to Run -
1. Boot up a lisp in the toplevel directory.
(where the INSTALL file is)

2. (load "run")
You can also do
  (load "/src/webui/serv")
Of course this means that custom options
set in "run.lisp" will not take effect.

If all the libraries are installed correctly,
this should signal no errors or warnings.
If something goes wrong here, let me know.


Or do steps 1 and 2 via command line options such as:
  sbcl --load run.lisp
  clisp -i run.lisp


3. Go to localhost:41938 in a web browser.
Port 41938 was chosen to stand for 'AlgEB'ra 

There are surely lots of bugs and security issues
hosted on your system, congratulations on your new Lineal!
</pre>
  <a href="./security_issues.html">See here</a>
  for the skivvy on any security issues.
 </body>
</html>

